﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGConditionalHyperlink
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<DataModel> _data;
        private Random rnd;

        public ObservableCollection<DataModel> Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }

        public ViewModel()
        {
            rnd = new Random();
            this.Data = new ObservableCollection<DataModel>();
            for (int i = 0; i < 40; i++)
            {
                this.Data.Add(new DataModel { Region = "Region " + i.ToString(), Country = "C" + i.ToString(), Coal = i % 2 == 0 ? 1: 2, Hyperlink = "https://www.google.com/search?q=" + (i % 2 == 0 ? 1 : 2).ToString() });
            }
        }
    }
}
