﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGConditionalHyperlink
{
    public class DataModel : ObservableModel
    {
        private string _country { get; set; }
        private string _region { get; set; }
        private double _coal { get; set; }
        private string _hyperlink { get; set; }
       

       
        public string Country
        {
            get { return _country; }
            set
            {
                _country = value;
                NotifyPropertyChanged();
            }
        }
        public string Region
        {
            get { return _region; }
            set
            {
                _region = value;
                NotifyPropertyChanged();
            }
        }

   
        public double Coal
        {
            get { return _coal; }
            set
            {
                _coal = value;
                NotifyPropertyChanged();
            }
        }

        public string Hyperlink
        {
            get { return _hyperlink; }
            set
            {
                _hyperlink = value;
                NotifyPropertyChanged();
            }
        }
    }
}
